/*
 * Tapiocaui app
 * Copyright (C) 2005 INdT
 * @author Abner Jose de Faria Silva <abner.silva@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 */

#ifndef __TAPIOCAUI_SHELL_COMMUNICATION_H__
#define __TAPIOCAUI_SHELL_COMMUNICATION_H__

#include "tapiocaui_shell.h"
#include "tapiocaui_shell_priv.h"

// communication callbacks
void        tapiocaui_shell_communication_volume_change_cb(TapiocaUICommunication *comm,
                                                           guint volume,
                                                           gpointer user_data);
void        tapiocaui_shell_communication_quit_cb         (TapiocaUICommunication *comm,
                                                           gpointer user_data);
void        tapiocaui_shell_communication_input_mute_cb   (TapiocaUICommunication *comm,
                                                           gpointer user_data);
void        tapiocaui_shell_communication_input_unmute_cb (TapiocaUICommunication *comm,
                                                           gpointer user_data);
void        tapiocaui_shell_communication_call_answer_cb  (TapiocaUICommunication *win,
                                                           const gchar *user,
                                                           gpointer user_data);
void        tapiocaui_shell_communication_call_reject_cb  (TapiocaUICommunication *win,
                                                           const gchar *user,
                                                           gpointer user_data);
void        tapiocaui_shell_communication_call_disconnect_cb (TapiocaUICommunication *comm,
                                                              const gchar *user,
                                                              gpointer user_data);
void        tapiocaui_shell_communication_call_make_cb    (TapiocaUICommunication *win,
                                                           const gchar *user,
                                                           gpointer user_data);
void        tapiocaui_shell_communication_composing_cb    (TapiocaUICommunication *comm,
                                                           gpointer user_data);
gboolean    inc_idle_time                                 (TapiocaUIShellActiveComm *comm);
void        tapiocaui_shell_communication_send_message_cb (TapiocaUICommunication *comm,
                                                           const gchar *msg,
                                                           gpointer user_data);
void        tapiocaui_shell_communication_call_hold_cb    (TapiocaUICommunication *comm,
                                                           const gchar *user,
                                                           gpointer user_data);
void        tapiocaui_shell_communication_call_unhold_cb  (TapiocaUICommunication *comm,
                                                           const gchar *user,
                                                           gpointer user_data);

#endif
