/*
 * Tapiocaui app
 * Copyright (C) 2005 INdT
 * @author Abner Jose de Faria Silva <abner.silva@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 */

#ifndef __TAPIOCAUI_SHELL_MAINWIN_H__
#define __TAPIOCAUI_SHELL_MAINWIN_H__

#include "tapiocaui_shell.h"
#include "tapiocaui_shell_priv.h"

// mainwin callbacks
void        tapiocaui_shell_mainwin_login_cb              (TapiocaUIMainWin *win,
                                                           const gchar *user,
                                                           const gchar *proxy_password,
                                                           gpointer user_data);
void        tapiocaui_shell_mainwin_login_cancelled_cb    (TapiocaUIMainWin *win,
                                                           gpointer user_data);
void        tapiocaui_shell_mainwin_logout_cb             (TapiocaUIMainWin *win,
                                                           gpointer user_data);
void        tapiocaui_shell_mainwin_call_cb               (TapiocaUIMainWin *win,
                                                           const gchar *user,
                                                           gpointer user_data);
void        tapiocaui_shell_mainwin_open_chat_cb          (TapiocaUIMainWin *win,
                                                           const gchar *user,
                                                           gpointer user_data);
gboolean    tapiocaui_shell_mainwin_delete_cb             (GtkWidget *widget,
                                                           GdkEvent *event,
                                                           gpointer user_data);
void        tapiocaui_shell_buddy_added_cb                (TapiocaUIMainWin *win,
                                                           const gchar      *user,
                                                           gpointer user_data);
void        tapiocaui_shell_buddy_removed_cb              (TapiocaUIMainWin *win,
                                                           const gchar      *user,
                                                           gpointer user_data);
void        tapiocaui_shell_buddy_updated_cb              (TapiocaUIMainWin *win,
                                                           const gchar      *old_user,
                                                           const gchar      *new_user,
                                                           gpointer user_data);
void        tapiocaui_shell_account_status_updated_cb     (TapiocaUIMainWin *win,
                                                           guint status,
                                                           const gchar *status_desc,
                                                           gpointer user_data);
#endif
