/*
 * Tapiocaui app
 * Copyright (C) 2005 INdT
 * @author Abner Jose de Faria Silva <abner.silva@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 */

#ifndef __TAPIOCAUI_SHELL_MEDIA_H__
#define __TAPIOCAUI_SHELL_MEDIA_H__

#include "tapiocaui_shell.h"
#include "tapiocaui_shell_priv.h"

void        setup_rtp_session                             (TapiocaUIShell *self,
                                                           TapiocaUIShellActiveComm *comm);
void        setup_rtp_stream                              (TapiocaUIShell *self,
                                                           TapiocaUIShellActiveComm *comm);
void        close_rtp_session                             (TapiocaUIShell *self,
                                                           TapiocaUIShellActiveComm *comm);
void        close_rtp_stream                              (TapiocaUIShell *self,
                                                           TapiocaUIShellActiveComm *comm);
GList      *create_codecs_from_sdp                        (const gchar *sdp);
gchar      *create_sdp_from_codecs                        (const GList *codecs);
void        remote_capabilities_updated_cb                (TapiocaAudioSession *session,
                                                           const gchar *cap,
                                                           gpointer user_data);
void        remote_candidate_added_cb                     (TapiocaAudioSession *audio_session,
                                                           const gchar *name,
                                                           const gchar *protocol,
                                                           const gchar *ip,
                                                           guint port,
                                                           gdouble preference,
                                                           const gchar *username,
                                                           const gchar *password,
                                                           const gchar *type,
                                                           guint generation,
                                                           gpointer user_data);
#endif
